#include<iostream>
using namespace std;
void unos(int x[], int n)
{
for(int i=0; i<n; i++)
       cin>>x[i];
}
int bs(int x[], int n, int k)
{
   for(int i = 0; i<n; i++) if(x[i]==k) return i;
}
int main()
{
    int n, k, p;
    cin>>n>>k;
    int x[n];
    unos(x, n);
    p = bs(x, n, k);
    if(p==n-1) cout<<x[0];
    else cout<<x[p+1];
}